Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package javac
  Definition Classes
    nsc
-  trait JavaScanners extends ScannersCommon
  Definition Classes
    javac
- AbstractJavaScanner
- AbstractJavaTokenData
- CommonTokenData
- DocScanner
- JavaScanner
- JavaScannerConfiguration
- JavaTokenData
- JavaUnitScanner
- ScannerCommon

c

scala.tools.nsc.javac.JavaScanners

# JavaScanner 

###

#### abstract class JavaScanner extends AbstractJavaScanner with JavaTokenData with Cloneable with ScannerCommon with DocScanner

A scanner for Java.

Source
  JavaScanners.scala

Linear Supertypes
JavaScanners.DocScanner, JavaScanners.ScannerCommon, JavaScanners.CommonTokenData, Cloneable, java.lang.Cloneable, JavaTokenData, AbstractJavaScanner, AbstractJavaTokenData, AnyRef, Any
Known Subclasses
ScaladocJavaUnitScanner, JavaUnitScanner
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaScanner
2. DocScanner
3. ScannerCommon
4. CommonTokenData
5. Cloneable
6. Cloneable
7. JavaTokenData
8. AbstractJavaScanner
9. AbstractJavaTokenData
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JavaScanner()

### Type Members

1.  type ScanPosition = Int
   Definition Classes
     JavaTokenData → AbstractJavaTokenData

### Abstract Value Members

1.  abstract def deprecationWarning(off: JavaScanners.Offset, msg: String, since: String): Unit
   Definition Classes
     ScannerCommon
2.  abstract def error(off: JavaScanners.Offset, msg: String): Unit
   Definition Classes
     ScannerCommon
3.  implicit abstract def g2p(pos: ScanPosition): Global.Position
   Definition Classes
     AbstractJavaScanner
4.  abstract def incompleteInputError(off: JavaScanners.Offset, msg: String): Unit
   Definition Classes
     ScannerCommon

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavaScanner to any2stringadd[JavaScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavaScanner, B)
   Implicit
     This member is added by an implicit conversion from JavaScanner to ArrowAssoc[JavaScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val NoPos: Int
   Definition Classes
     JavaTokenData → AbstractJavaTokenData
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val base: Int

   the base of a number

   the base of a number

   Definition Classes
     JavaTokenData
9.  def beginDocComment(prefix: String): Unit
   Attributes
     protected
   Definition Classes
     DocScanner
10.  val cbuf: collection.mutable.StringBuilder

    character buffer for literals

11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def copyFrom(td: JavaTokenData): Unit
    Definition Classes
      JavaTokenData
13.  def currentPos: Global.Position
    Definition Classes
      JavaScanner → AbstractJavaScanner
14.  def discardDocBuffer(): Unit

    To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

    To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

    Definition Classes
      DocScanner
15.  def ensuring(cond: (JavaScanner) ⇒ Boolean, msg: ⇒ Any): JavaScanner
    Implicit
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (JavaScanner) ⇒ Boolean): JavaScanner
    Implicit
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: ⇒ Any): JavaScanner
    Implicit
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): JavaScanner
    Implicit
      This member is added by an implicit conversion from JavaScanner to Ensuring[JavaScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def finishDocComment(): Unit
    Attributes
      protected
    Definition Classes
      DocScanner
23.  def floatVal(negated: Boolean): Double

    convert name, base to double value

    convert name, base to double value

    Definition Classes
      JavaScanner → AbstractJavaScanner
24.  def floatVal: Double
    Definition Classes
      JavaScanner → AbstractJavaScanner
25.  def flushDoc(): Global.DocComment
    Definition Classes
      DocScanner
26.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavaScanner to StringFormat[JavaScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
28.  def getFraction(): Unit

    read fractional part and exponent of floating point number if one is present.

    read fractional part and exponent of floating point number if one is present.

    Attributes
      protected
29.  def getNumber(): Unit

    read a number into name and set base

    read a number into name and set base

    Attributes
      protected
30.  def getlitch(): AnyVal

    read next character in character or string literal:

    read next character in character or string literal:

    Attributes
      protected
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
32.  var in: JavaCharArrayReader
33.  def incompleteInputError(msg: String): Unit

    signal an error where the input ended in the middle of a token

34.  def init(): Unit

    INIT: read lookahead character and token.

35.  def intVal(negated: Boolean): Long

    convert name to long value

    convert name to long value

    Definition Classes
      JavaScanner → AbstractJavaScanner
36.  def intVal: Long
    Definition Classes
      JavaScanner → AbstractJavaScanner
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  val lastPos: Int

    the first character position after the previous token

    the first character position after the previous token

    Definition Classes
      JavaTokenData
39.  def lookaheadToken: Int
40.  val name: Global.TermName

    the name of an identifier or token

    the name of an identifier or token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
41.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  val next: JavaTokenData

    we need one token lookahead

    we need one token lookahead

    Definition Classes
      JavaScanner → AbstractJavaScanner
43.  def nextToken(): Unit
    Definition Classes
      JavaScanner → AbstractJavaScanner
44.  final def notify(): Unit
    Definition Classes
      AnyRef
45.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
46.  val pos: Int

    the token's position

    the token's position

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
47.  val prev: JavaTokenData
48.  def processCommentChar(): Unit
    Attributes
      protected
    Definition Classes
      DocScanner
49.  def putChar(c: Char): Unit

    append Unicode character to "lit" buffer

    append Unicode character to "lit" buffer

    Attributes
      protected
50.  final def putCommentChar(): Unit
    Attributes
      protected
51.  def registerDocComment(raw: String, pos: Global.Position): Unit
    Definition Classes
      DocScanner
52.  final def skipBlockComment(isDoc: Boolean): Unit
    Attributes
      protected
    Annotations
      @tailrec()
53.  final def skipComment(): Boolean
    Attributes
      protected
54.  final def skipLineComment(): Unit
    Attributes
      protected
    Annotations
      @tailrec()
55.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
56.  def syntaxError(msg: String): Unit

    generate an error at the current token position

57.  def syntaxError(pos: Int, msg: String): Unit

    generate an error at the given position

58.  def toString(): String
    Definition Classes
      JavaScanner → AnyRef → Any
59.  val token: Int

    the next token

    the next token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
60.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
61.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
62.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
63.  def →[B](y: B): (JavaScanner, B)
    Implicit
      This member is added by an implicit conversion from JavaScanner to ArrowAssoc[JavaScanner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from JavaScanners.DocScanner

### Inherited from JavaScanners.ScannerCommon

### Inherited from JavaScanners.CommonTokenData

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from JavaTokenData

### Inherited from AbstractJavaScanner

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaScanner to any2stringadd[JavaScanner]

### Inherited by implicit conversion StringFormat from JavaScanner to StringFormat[JavaScanner]

### Inherited by implicit conversion Ensuring from JavaScanner to Ensuring[JavaScanner]

### Inherited by implicit conversion ArrowAssoc from JavaScanner to ArrowAssoc[JavaScanner]

### Ungrouped